import request from '@/utils/request'

// 分页查询标签信息列表
export function pageListTag(query) {
  return request({
    url: '/system/tag/pageList',
    method: 'get',
    params: query
  })
}

// 查询标签信息列表
export function listTag(query) {
  return request({
    url: '/system/tag/list',
    method: 'get',
    params: query
  })
}

// 查询标签信息详细
export function getTag(id) {
  return request({
    url: '/system/tag/' + id,
    method: 'get'
  })
}

// 新增标签信息
export function addTag(data) {
  return request({
    url: '/system/tag',
    method: 'post',
    data: data
  })
}

// 修改标签信息
export function updateTag(data) {
  return request({
    url: '/system/tag',
    method: 'put',
    data: data
  })
}

// 删除标签信息
export function delTag(id) {
  return request({
    url: '/system/tag/' + id,
    method: 'delete'
  })
}

// 导出标签信息
export function exportTag(query) {
  return request({
    url: '/system/tag/' + 'export',
    method: 'post',
    params: query
  })
}
